#include "libmid.h"
#include <stdio.h>

int main(void){
	MIDI *midi;

	midi = midi_open("test.mid");
	note_on(midi,0,0x3C,0x7F);
	next(midi,480);
	note_off(midi,0,0x3C,0x7F);
	note_on(midi,0,0x3E,0x7F);
	next(midi,480);
	note_off(midi,0,0x3E,0x7F);
	note_on(midi,0,0x40,0x7F);
	next(midi,1920);
	note_off(midi,0,0x40,0x7F);

	change_delta(midi,48);
	note_on(midi,0,0x3C,0x7F);
	next(midi,48);
	note_off(midi,0,0x3C,0x7F);
	note_on(midi,0,0x3E,0x7F);
	next(midi,48);
	note_off(midi,0,0x3E,0x7F);
	note_on(midi,0,0x40,0x7F);
	next(midi,192);
	note_off(midi,0,0x40,0x7F);
	MidiPlay(midi,0,0);
	midi_close(midi);
	return 0;
}

